/******************************************************************************

    Copyright (c) EUROGICIEL 2014. All rights reserved.
    This source code is subject to the terms of the ORA SDK License Agreement
    nevertheless, as an exception to this agreement, EUROGICIEL grants you the
    rights to publish, distribute, translate or reproduce it under your own
    responsibility.
    Please visit the following for more information :
    http://www.eurogiciel.fr/index.php/en/products/ora-s-sdk/license

    EUROGICIEL
    417 L'Occitane - CS 77679, 31676 LABEGE Labège Cedex  - France
    Phone: +33 (0)5 61 00 79 79     
    http://www.eurogiciel.fr

******************************************************************************/

package fr.eurogiciel.ora.btserversample;

import java.util.UUID;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

import fr.eurogiciel.ora.bluetooth.BTServerService;
import fr.eurogiciel.ora.btserversample.R;

public class ServerControlActivity extends Activity {
	
	private static final int TOAST_DURATION = 2000;
	private static final String serv_UUID = "00001101-0000-1000-8000-00805F9B34AC";
	private static final String serv_name = "ORA Server";
	
	Intent serviceIntent;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		setContentView(R.layout.fragment_settings);
		Button startBtn = (Button) findViewById(R.id.btn_start);
		startBtn.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				onStartBtnClicked(v);
			}
		});
	}
	
	private void onStartBtnClicked(View v){
		if(v.getId() == R.id.btn_start){
			
			Button btn_start = ((Button)findViewById(R.id.btn_start));
			
			if (btn_start.getText().toString().compareTo("Stop server") != 0) {
				//Service is stopped.
				// Check the UUID
				try {
					UUID.fromString(serv_UUID);
				} catch (IllegalArgumentException e) {
					showError("Incorrect Bluetooth UUID");
					return;
				}

				// Start the service
				serviceIntent = new Intent(this, EventInjectorService.class);
				serviceIntent.putExtra(BTServerService.MSG_SERVER_NAME,
						serv_name);
				serviceIntent.putExtra(BTServerService.MSG_BT_UUID, serv_UUID);
				startService(serviceIntent);

				// Change button form.

				btn_start.setText("Stop server");
			}
			else
			{
				stopService(serviceIntent);
				serviceIntent = null;
				btn_start.setText(R.string.btn_start);
			}
	    }

	}
	
	private void showError(final String msg) {
		runOnUiThread(new Runnable() {
			@Override
			public void run() {
				Toast.makeText(ServerControlActivity.this, msg, TOAST_DURATION).show();
			}
		});
	}

}
